﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Commanding
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            this.CommandBindings.Add(
                new CommandBinding(ApplicationCommands.Copy,
                    new ExecutedRoutedEventHandler(OnCopy)));
        }

        private void OnCopy(object sender, ExecutedRoutedEventArgs e)
        {
            myButton.Content = "Copied";
        }
    }
}
