﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.ComponentModel;

namespace RawWpf
{
    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            //<Grid>
            //<Button x:Name="myButton"
            //        FontSize="24"
            //        FontFamily="Candara"
            //        Foreground="DarkRed">

            //  _Click me!
            //</Button>
            //</Grid>

            Grid g = new Grid();

            Button myButton = new Button();
            myButton.FontSize = (double)
                TypeDescriptor.GetConverter(typeof(double)).ConvertFromString("50");
            myButton.FontFamily = (FontFamily)
                TypeDescriptor.GetConverter(typeof(FontFamily)).ConvertFromString("Candara");
            myButton.Foreground = (Brush)
                TypeDescriptor.GetConverter(typeof(Brush)).ConvertFromString("DarkRed");

            myButton.Content = "_Click me!";

            myButton.Click += new RoutedEventHandler(myButton_Click);

            g.Children.Add(myButton);

            Window w = new Window();
            w.Show();

            w.Content = g;

            Application app = new Application();
            app.Run();

        }

        static void myButton_Click(object sender, RoutedEventArgs e)
        {
            Console.WriteLine("Please do not press this button again");
        }
    }
}
