﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.ComponentModel;
using System.Diagnostics;

namespace ReallyMultithreadDataBinding
{
    public class SlowThing : INotifyPropertyChanged
    {
        private string dataValue;
        public string Data
        {
            get
            {
                Debug.WriteLine("Get thread:  " + Thread.CurrentThread.ManagedThreadId);
                return dataValue;
            }
        }

        int count = 1;
        public void GetNewData()
        {
            ThreadPool.QueueUserWorkItem(delegate
            {
                Thread.Sleep(5000);

                dataValue = "Value " + count;
                count += 1;

                if (PropertyChanged != null)
                {
                    Debug.WriteLine("Event thread:  " + Thread.CurrentThread.ManagedThreadId);
                    PropertyChanged(this, new PropertyChangedEventArgs("Data"));
                }
            });
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
