﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;
using System.Collections.ObjectModel;

namespace SimpleBinding
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        Person source;
        ObservableCollection<Person> people = new ObservableCollection<Person>();

        public Window1()
        {
            InitializeComponent();

            source = new Person { Name = "Ian", Age = 34.01 };

            people.Add(source);
            people.Add(new Person { Name = "John Doe", Age = 42 });
            people.Add(new Person { Name = "Arthur Pewty", Age = 56 });



            this.DataContext = people;

            //XmlNamespaceManager nsm;

            //  <Window Binding.XmlNamespaceManager="..." />
            // For resolving namespaces when not using an XmlDataProvider:
            //Binding.SetXmlNamespaceManager(this, nsm);
        }

        private void showData_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(source.Name + " is " + source.Age);
        }

        private void growOlder_Click(object sender, RoutedEventArgs e)
        {
            source.Age += 0.1;
            //ageText.GetBindingExpression(TextBox.TextProperty).UpdateTarget();
        }

        private void newPerson_Click(object sender, RoutedEventArgs e)
        {
            Person np = new Person { Name = "Mr. Foo", Age = 0 };
            people.Add(np);
        }
    }
}
