﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Threading;
using System.Windows.Threading;
using System.Diagnostics;

namespace ThreadDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        SlowThing thing = new SlowThing();


        public Window1()
        {
            InitializeComponent();
            Debug.WriteLine("UI thread: " + Thread.CurrentThread.ManagedThreadId);
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine("Click thread: " + Thread.CurrentThread.ManagedThreadId);

            this.syncCtx = SynchronizationContext.Current;
            ThreadPool.QueueUserWorkItem(SlowWork);
        }

        SynchronizationContext syncCtx;
        private void SlowWork(object state)
        {
            Debug.WriteLine("Worker thread: " + Thread.CurrentThread.ManagedThreadId);
            // We're in the worker thread
            string result = thing.Data;

            //this.Dispatcher.BeginInvoke(DispatcherPriority.Normal,
            //    new Action<string>(UpdateUI), result);

            syncCtx.Post(UpdateUI, result);
        }

        private void UpdateUI(object data)
        {
            Debug.WriteLine("Update thread: " + Thread.CurrentThread.ManagedThreadId);
            textBlock1.Text = data.ToString() ;
        }
    }
}
