using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Collections.ObjectModel;
using System.Xml.Schema;

namespace MtpsShowToc
{
    //{"<Node xmlns='urn:mtpg-com:mtps/2004/1/toc'> was not expected."}
    [XmlRoot("Node", Namespace = "urn:mtpg-com:mtps/2004/1/toc")]
    public class TocData
    {
        private readonly Collection<TocData> _children = new Collection<TocData>();
        private string _externalUrl;
        private string _description;
        private string _subTree;
        private string _subTreeLocale;
        private string _subTreeVersion;
        private string _target;
        private string _targetLocale;
        private string _targetVersion;
        private string _title;

        [XmlElement("Node", Namespace = "urn:mtpg-com:mtps/2004/1/toc")]
        public Collection<TocData> Children
        {
            get { return _children; }
        }
        [XmlAttribute("Description", Form = XmlSchemaForm.Qualified)]
        public string Description
        {
            get { return _description; }
            set { _description = value; }
        }
        [XmlAttribute("ExternalUrl", Form = XmlSchemaForm.Qualified)]
        public string ExternalUrl
        {
            get { return _externalUrl; }
            set { _externalUrl = value; }
        }
        [XmlAttribute("SubTree", Form = XmlSchemaForm.Qualified)]
        public string SubTree
        {
            get { return _subTree; }
            set { _subTree = value; }
        }
        [XmlAttribute("SubTreeLocale", Form = XmlSchemaForm.Qualified)]
        public string SubTreeLocale
        {
            get { return _subTreeLocale; }
            set { _subTreeLocale = value; }
        }
        [XmlAttribute("SubTreeVersion", Form = XmlSchemaForm.Qualified)]
        public string SubTreeVersion
        {
            get { return _subTreeVersion; }
            set { _subTreeVersion = value; }
        }
        [XmlAttribute("Target", Form = XmlSchemaForm.Qualified)]
        public string Target
        {
            get { return _target; }
            set { _target = value; }
        }
        [XmlAttribute("TargetLocale", Form = XmlSchemaForm.Qualified)]
        public string TargetLocale
        {
            get { return _targetLocale; }
            set { _targetLocale = value; }
        }
        [XmlAttribute("TargetVersion", Form = XmlSchemaForm.Qualified)]
        public string TargetVersion
        {
            get { return _targetVersion; }
            set { _targetVersion = value; }
        }
        [XmlAttribute("Title", Form = XmlSchemaForm.Qualified)]
        public string Title
        {
            get { return _title; }
            set { _title = value; }
        }

    }
}
