﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Reflection;
using System.IO;
using System.Resources;
using System.Threading;
using System.Collections;
using System.Diagnostics;

namespace Resourceful
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            Assembly asm = typeof(Window1).Assembly;

            //Stream pngStream = asm.GetManifestResourceStream("Resourceful.DLR.png");

            //PngBitmapDecoder decoder = new PngBitmapDecoder(pngStream,
            //    BitmapCreateOptions.None,
            //    BitmapCacheOption.Default);

            Stream jpegStream = Application.GetResourceStream(
                new Uri("Light-Entertainment.jpg",  UriKind.Relative)).Stream;

            JpegBitmapDecoder decoder = new JpegBitmapDecoder(jpegStream,
                BitmapCreateOptions.None, BitmapCacheOption.Default);

            img.Source = decoder.Frames[0];

            //object o = Application.LoadComponent(
            //    new Uri("/PresentationFramework.Aero,Version=3.0.0.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35;component/themes/aero.normalcolor.xaml", UriKind.Relative));

            object o = Application.LoadComponent(
                new Uri("/PresentationFramework.Classic,Version=3.0.0.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35;component/themes/classic.xaml", UriKind.Relative));

            Application.Current.Resources.MergedDictionaries.Add(
                (ResourceDictionary) o);


            ResourceManager rm = new ResourceManager("Resourceful.g", asm);

            ResourceSet rs = rm.GetResourceSet(Thread.CurrentThread.CurrentUICulture,
                true, true);


            foreach (DictionaryEntry de in rs)
            {
                Debug.WriteLine(de.Key + ": " + de.Value);
            }
        }
    }
}
